Skip to content
Start here

Get Event Subscription

client.queues.subscriptions.get(stringsubscriptionId, SubscriptionGetParams { account_id } params, RequestOptionsoptions?): SubscriptionGetResponse { id, created_at, destination, 5 more }
GET/accounts/{account_id}/event_subscriptions/subscriptions/{subscription_id}

Get details about an existing event subscription

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
subscriptionId: string

A Resource identifier.

maxLength32
params: SubscriptionGetParams { account_id }
account_id: string

A Resource identifier.

maxLength32
ReturnsExpand Collapse
SubscriptionGetResponse { id, created_at, destination, 5 more }
id: string

Unique identifier for the subscription

created_at: string

When the subscription was created

formatdate-time
destination: Destination { queue_id, type }

Destination configuration for the subscription

queue_id: string

ID of the target queue

type: "queues.queue"

Type of destination

enabled: boolean

Whether the subscription is active

events: Array<string>

List of event types this subscription handles

modified_at: string

When the subscription was last modified

formatdate-time
name: string

Name of the subscription

source: MqEventSourceImages { type } | MqEventSourceKV { type } | MqEventSourceR2 { type } | 5 more

Source configuration for the subscription

One of the following:
MqEventSourceImages { type }
type?: "images"

Type of source

MqEventSourceKV { type }
type?: "kv"

Type of source

MqEventSourceR2 { type }
type?: "r2"

Type of source

MqEventSourceSuperSlurper { type }
type?: "superSlurper"

Type of source

MqEventSourceVectorize { type }
type?: "vectorize"

Type of source

MqEventSourceWorkersAIModel { model_name, type }
model_name?: string

Name of the Workers AI model

type?: "workersAi.model"

Type of source

MqEventSourceWorkersBuildsWorker { type, worker_name }
type?: "workersBuilds.worker"

Type of source

worker_name?: string

Name of the worker

MqEventSourceWorkflowsWorkflow { type, workflow_name }
type?: "workflows.workflow"

Type of source

workflow_name?: string

Name of the workflow

Get Event Subscription

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const subscription = await client.queues.subscriptions.get('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(subscription.id);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "destination": {
      "queue_id": "queue_id",
      "type": "queues.queue"
    },
    "enabled": true,
    "events": [
      "string"
    ],
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "source": {
      "type": "images"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "destination": {
      "queue_id": "queue_id",
      "type": "queues.queue"
    },
    "enabled": true,
    "events": [
      "string"
    ],
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "source": {
      "type": "images"
    }
  },
  "success": true
}